function HelpRSLangTypes() {
  return (
    <div>
      <h1>Типизация</h1>
      <p>
        Родоструктурное выражение <b>ξ</b> обладает типизацией (структурой), если выполнено ξ∈H,
        <br />
        где <b>H</b> – корректное выражение <b>ступени</b>, задаваемой следующими правилами:
        <li>
          Xi, Ci – ступень, называемая <b>элемент</b>;
        </li>
        <li>
          Z – ступень, называемая <b>целое число</b>;
        </li>
        <li>
          (H1×...×Hn) – ступень, называемая <b>кортеж арности n</b>;
        </li>
        <li>
          ℬ(H) – ступень, называемая <b>множеством</b>.
        </li>
      </p>
      <p>Пустое множество ∅ имеет типизацию ℬ(R0) – множество с произвольной структурой элемента</p>
      <p>
        Для обобщения понятия типизация на логические и параметризованные выражения вводится ряд дополнительных
        обозначений
      </p>
      <p>
        Логические выражения (аксиомы, теоремы), принимающие значения ИСТИНА или ЛОЖЬ относятся к типизации <b>Logic</b>
      </p>
      <p>
        Параметризованные выражения (терм-функции, предикат-функции) относятся к типизации <br />
        Hr 🠔 [H1, H2, ... Hi],
        <br />
        где Hr – типизация результата, H1, ... Hi – типизации аргументов
      </p>
      <p></p>
      <p>
        Шаблонные параметризованные выражения могут содержать обозначения R1, ... Ri, соответствующие произвольным
        ступеням, определяемым исходя из типизации аргументов по месту использования выражения.
      </p>
    </div>
  );
}

export default HelpRSLangTypes;
